import {Routes} from '@angular/router';
import {LoginComponent} from './login/login.component';
import {HomeComponent} from './home/home.component';
import {RegisterComponent} from './register/register.component';
import {LogoutComponent} from './logout/logout.component';
import {NotFoundComponent} from './not-found/not-found.component';
import {authGuard} from './auth.guard';
import {ProfileComponent} from './profile/profile.component';

export const routes: Routes = [
  {path: '', component: HomeComponent},
  {path: 'login', component: LoginComponent, canActivate: [authGuard]},
  {path: 'register', component: RegisterComponent, canActivate: [authGuard]},
  {path: 'logout', component: LogoutComponent},
  {path: 'profile/:authorId', component: ProfileComponent},
  {path: '**', component: NotFoundComponent}
];
